﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Ribbon;
using Infragistics.Windows.DockManager;

namespace BaseRibbon
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void buttonTool_Click(object sender, RoutedEventArgs e)
        {
            ButtonTool tool = (ButtonTool)sender;
            msgBlk.Text = msgBlk.Text + "\n" + tool.Caption + " clicked";
        }

        private void CommandBinding_Executed(object sender, ExecutedRoutedEventArgs e)
        {
            ContentPane pane = sender as ContentPane;
            if (pane != null)
            {
                if (pane.Tag == null)
                    pane.Tag = 1;
                else
                    pane.Tag = (int)pane.Tag + 1;
                ((TextBox)pane.Content).Text = "I am active" + pane.Tag.ToString();
            }
        }

    }
}
